# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "double-derive"
version = "0.2.11"
authors = ["Markus Klein"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Implementations of macros for crate double-trait"
readme = "README.md"
license = "MIT"
repository = "https://github.com/pacman82/double-trait"
resolver = "2"

[features]
default = []
stream = []

[lib]
name = "double_derive"
path = "src/lib.rs"
proc-macro = true

[dependencies.proc-macro2]
version = "1.0.106"

[dependencies.quote]
version = "1.0.45"

[dependencies.syn]
version = "2.0.117"
features = ["full"]

[dev-dependencies.async-trait]
version = "0.1.89"
